Project

General

Profile

Bug #2289

[kodi] Kodi does not start: cannot find libcdio.so.18

Anonymous - 3 months ago - . Updated 3 months ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

100%


Description

Hello,

The issue : https://labs.parabola.nu/issues/1618 is back with the new version of libcdio.so:
Kodi needs libcdio.so.18 but it has been removed with the upgrade of libcdio (2.1.0-1).
It can be dirtyfixed by copying the old lib from old package, kodi package need to be rebuild I suppose.

Regards,

baptiste

History

#1

Updated by bill-auger 3 months ago

  • Status changed from unconfirmed to confirmed
$ kodi
/usr/lib/kodi/kodi.bin: error while loading shared libraries: libcdio.so.18: cannot open shared object file: No such file or directory

looks like we need to couple the package to a versioned dependency of 'libcdio'

#2

Updated by freemor 3 months ago

  • Status changed from confirmed to in progress

rebuilding X86_64 now

#3

Updated by freemor 3 months ago

X86_64 - Build and pushed
i686 - Building

I ended up just doing a quick rebuild for now. Fancy libcdio versioning wasn't working quickly. I figured, get it fixed first, get fancy second.

#4

Updated by freemor 3 months ago

  • % Done changed from 0 to 70
  • Assignee set to freemor

i686 - pushed
starting armv7h

#5

Updated by freemor 3 months ago

  • % Done changed from 70 to 100
  • Status changed from in progress to fixed

armv7h - rebuild, pushed

Also available in: Atom PDF